Bug 672136 - Review Request: rubygem-multimap - Ruby multimap implementation
Summary: Review Request: rubygem-multimap - Ruby multimap implementation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 667997
TreeView+ depends on / blocked
 
Reported: 2011-01-24 05:00 UTC by Mo Morsi
Modified: 2011-01-26 18:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-26 18:03:59 UTC
Type: ---
vondruch: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Vít Ondruch 2011-01-24 09:41:44 UTC
I am taking this review.

Comment 2 Vít Ondruch 2011-01-24 11:14:55 UTC
* Package looks good, rpmlint looks good, passes the review guidelines.

* Cleaning
  - "rm -rf %{buildroot}" at the top of %install, %clean section
    are no longer needed:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

* Splitting out document files
  - Please consider to create -doc subpackage and move the following
    files / directories into -doc
----------------------------------------------------
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/Rakefile
%doc %{geminstdir}/spec
%doc %{geminstdir}/%{gemname}.gemspec
----------------------------------------------------

* Test execution
  - Please consider test execution just using "spec spec/" instead of "rake spec".
    This would allow to omit the Rakefile and .gemspec as well as build
    dependency on Rake.


However, neither of this is blocker:

APPROVED

Comment 3 Mo Morsi 2011-01-24 19:40:59 UTC
Hey thanks for the review / approval. Incorporated your feedback into an updated version

SPEC: http://mo.morsi.org/files/rpms/rubygem-multimap.spec
SRPM: http://mo.morsi.org/files/rpms/rubygem-multimap-1.1.2-2.fc14.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2740138

(In reply to comment #2)
> * Package looks good, rpmlint looks good, passes the review guidelines.
> 
> * Cleaning
>   - "rm -rf %{buildroot}" at the top of %install, %clean section
>     are no longer needed:
>     https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
> 

Done.

> * Splitting out document files
>   - Please consider to create -doc subpackage and move the following
>     files / directories into -doc
> ----------------------------------------------------
> %doc %{gemdir}/doc/%{gemname}-%{version}
> %doc %{geminstdir}/Rakefile
> %doc %{geminstdir}/spec
> %doc %{geminstdir}/%{gemname}.gemspec
> ----------------------------------------------------
> 

Done.

> * Test execution
>   - Please consider test execution just using "spec spec/" instead of "rake
> spec".
>     This would allow to omit the Rakefile and .gemspec as well as build
>     dependency on Rake.
> 

Done.

> 
> However, neither of this is blocker:
> 
> APPROVED


New Package SCM Request
=======================
Package Name: rubygem-multimap
Short Description: Ruby multimap implementation
Owners: mmorsi
Branches:

Comment 4 Jason Tibbitts 2011-01-25 15:08:51 UTC
This ticket is not assigned to anyone.  Please fix a nd re-raise the fedora-cvs
flag.

Comment 5 Jason Tibbitts 2011-01-25 23:42:31 UTC
Git done (by process-git-requests).

Comment 6 Mo Morsi 2011-01-26 18:03:59 UTC
Pushed to rawhide.


Note You need to log in before you can comment on or make changes to this bug.